## org.apache.felix.shell.impl
Class Activator.ExecutePrivileged

    java.lang.Object
      org.apache.felix.shell.impl.Activator.ExecutePrivileged

All Implemented Interfaces:
  java.security.PrivilegedExceptionAction

Enclosing class:
  Activator

    public static class Activator.ExecutePrivileged

extends java.lang.Object
implements java.security.PrivilegedExceptionAction

Constructor Summary
`Activator.ExecutePrivileged(Command command, java.lang.String commandLine, java.io.PrintStream out, java.io.PrintStream err)`

Method Summary
`java.lang.Object` `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Activator.ExecutePrivileged

    public Activator.ExecutePrivileged(Command command,
                                       java.lang.String commandLine,
                                       java.io.PrintStream out,
                                       java.io.PrintStream err)
                                throws java.lang.Exception

Throws:
  `java.lang.Exception`

Method Detail

### run

    public java.lang.Object run()
                         throws java.lang.Exception

  Specified by:
    `run` in interface `java.security.PrivilegedExceptionAction`
  Throws:
    `java.lang.Exception`

Copyright © 2006-2012 The Apache Software Foundation. All Rights Reserved.